Package mpi4py :: Module MPI :: Class Exception

[hide private]
[frames] | no frames]

# Class Exception

Exception

Instance Methods | [hide private]

Get_error_class(self) Error class |

Get_error_code(self) Error code |

Get_error_string(self) Error string |

__bool__(self) |

__eq__(self, int error) |

__ge__(self, int error) |

__gt__(self, int error) |

__init__(self, int ierr=0) x.__init__(...) initializes x; see help(type(x)) for signature |

__int__(self) |

__le__(self, int error) |

__lt__(self, int error) |

__ne__(self, int error) |

__repr__(self) |

__str__(self) |

Inherited from `exceptions.RuntimeError`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties | [hide private]

| error_class error class
| error_code error code
| error_string error string
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, int ierr=0)
(Constructor)

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__

### __repr__(self)
(Representation operator)

Overrides: object.__repr__

### __str__(self)
(Informal representation operator)

Overrides: object.__str__

Property Details | [hide private]

### error_class

error class

Get Method:
  Get_error_class(self) - Error class

### error_code

error code

Get Method:
  Get_error_code(self) - Error code

### error_string

error string

Get Method:
  Get_error_string(self) - Error string